@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html { scroll-behavior: smooth; }

.d-flex { display: flex; }
.d-none { display: none; }

.jcc { justify-content: center; }
.jcb { justify-content: space-between; }
.jce { justify-content: end; }

.aic { align-items: center; }

.fw400 { font-weight: 400; }
.fw500 { font-weight: 500; }
.fw600 { font-weight: 600; }
.fw700 { font-weight: 700; }

.relative { position: relative; }
.absolute { position: absolute; }

.cursor-pointer { cursor: pointer; }

.custom-badge { line-height: 0; }

.custom-badge .el-badge__content {
  top: 0;
  left: 0;
  width: 14px;
  height: 14px;
  font-size: 8px;
  line-height: 0;
  border-radius: 4px;
  background-color: #767676;
  font-weight: 600;
}

/* ---------- CSS Header ---------- */
.header {
  background-color: rgba(1, 67, 154, 1);
  box-shadow: 0px 4px 12px 0px rgba(0, 0, 0, 0.08);
  color: #ffffff;
}

.header__top {
  padding: 9.5px 16px 12px;
}

.header__meta {
  margin-bottom: 15.5px;
  line-height: 17px;
  gap: 10px;
}

.header__user-info {
  flex-shrink: 0;
  gap: 19px;
}

.header__inner,
.header__brand-inner {
  gap: 22px;
}

.header__brand-wrap {
  flex: 1;
  min-width: 0;
}

.header__logo {
  width: 158px;
  flex-shrink: 1;
}

.header__bottom {
  font-size: 16px;
  background: rgba(0, 0, 0, 0.1);
  gap: 24px;
}

.header .category-trigger {
  flex-shrink: 0;
  padding: 0 16px;
  width: 282px;
  height: 52px;
  background: #1765CE;
}

.category-trigger__arrow {
  width: 8.5px;
  transform: rotate(90deg);
}

.category-trigger__txt {
  display: flex;
  align-items: center;
  gap: 8px;
}

.header__action-bar {
  margin-right: 16px;
  gap: 32px;
}

.header .action-bar {
  color: #ffffff;
  font-weight: bold;
  gap: 16px;
}

.header .action-bar__btn-wrap { gap: 6px; }

.header .action-bar__btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 14px;
  min-width: 110px;
  height: 32px;
  font-size: 12px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  background: rgba(255, 255, 255, 0.1);
  border-radius: 4px;
  gap: 6px;
}

.header .action-bar__btn:hover { background: rgba(255, 255, 255, 0.2); }

.el-popover.el-popper.category-category-popper {
  padding: 0;
  overflow: visible;
  border: 1px solid #bdcce0;
  border-top: none;
  border-radius: 0;
}

.el-popover.el-popper.category-category-popper .el-popper__arrow {
  display: none;
}

.category-menu__item,
.category-submenu__item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 16px;
  height: 60px;
  font-size: 16px;
  line-height: 17px;
  color: #393939;
}

.category-menu__arrow,
.category-submenu__arrow {
  width: 6px;
}

.category-menu {
  margin: 0;
  list-style: none;
}

.category-menu__item {
  position: relative;
}

.category-menu__item:not(:last-child) {
  border-bottom: 1px solid #eaeaea;
}

.category-menu__item:hover {
  background: #eaf2fd;
}

.category-menu__txt {
  display: flex;
  align-items: center;
  font-weight: bold;
  gap: 12px;
}

.category-submenu {
  position: absolute;
  left: 100%;
  top: 0;
  width: 220px;
  margin: 0;
  list-style: none;
  background: #eaf2fd;
  border: 1px solid #bdcce0;
  border-top: 1px solid #ffffff;
  z-index: 10;
}

.category-submenu__item:not(:last-child) {
  border-bottom: 1px solid #ffffff;
}

.category-submenu__item:hover {
  background: #ced5df;
}

/* ---------- CSS Search ---------- */
.search-bar {
  flex: 1;
  width: 100%;
  max-width: 1070px;
  background-color: #ffffff;
  border-radius: 8px;
}

.wave .el-select.search-category {
  margin-left: 12px;
  max-width: 171px;
  height: auto;
}

.wave .search-category.el-select .el-select__wrapper {
  box-shadow: none;
  padding: 4px 19px;
  line-height: 17px;
  min-height: unset;
  height: 25px;
  border-radius: 20px;
  background-color: #ececec;
}

.search-category .el-select__placeholder.el-select__selected-item {
  color: #393939;
}

.search-input { flex: 1; }

.search-input .el-input__inner {
  font-size: 14px;
  line-height: 17px;
  font-weight: 500;
  color: #626262;
}

.search-input .el-input__inner::placeholder {
  color: #626262;
}

.wave .search-input .el-input__wrapper {
  padding: 0 10px 0 8px;
  box-shadow: none;
  background: transparent;
}

.search-suggest__item {
  padding: 0 20px;
  gap: 14px;
}

.search-suggest__item:last-child,
.search-suggest__item--tagged:last-child {
  margin-bottom: 0;
}

.search-suggest__item--tagged {
  margin-bottom: 8px;
  padding: 2px 0;
}

.search-suggest__item--plain {
  margin-bottom: 2px;
  padding: 4px 0;
}

.search-drawer {
  margin: 0;
  padding: 0;
  top: 82px;
  width: 100%;
  height: auto;
  min-height: 93px;
}

.search-drawer .el-dialog__header { padding-bottom: 0; }

.search-input .el-input__wrapper.is-focus,
.search-input .el-input__wrapper:hover {
  box-shadow: none;
}

.search-suggest-popper .el-autocomplete-suggestion__wrap {
  max-height: 668px;
}

.search-suggest-popper li {
  padding: 0;
}

.search-suggest-popper.el-autocomplete-suggestion li:hover {
  background: none;
}

.search-suggest-popper.el-autocomplete-suggestion .search-suggest__item:hover {
  background-color: #EDEDED;
}

.badge-search {
  width: 88px;
  height: 23px;
  border-radius: 3px;
  white-space: nowrap;
  font-size: 13px;
}

.search-suggest__label {
  color: #393939;
  font-size: 16px;
  font-weight: 400;
  line-height: 19px;
}

.search-suggest__divider {
  margin: 15px 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.wave .el-button.search-bar__submit {
  margin-right: -1px;
  width: 54px;
  height: 48px;
  background-color: #393939;
  border: 0;
  border-radius: 0;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}

.header__actions {
  flex-shrink: 1;
  max-width: 529px;
  gap: clamp(4px, 1vw, 24px);
}

.header__nav {
  font-size: 12px;
  line-height: 15px;
  gap: 8px;
}

.header__nav-item {
  width: 108px;
  height: 48px;
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  gap: 2px;
}

.header__nav-item:hover {
  background-color: rgba(0, 0, 0, 0.4);
}

.drawer-menu {
  padding: 16px 0 ;
}

.drawer-menu__header {
  padding: 0 12px 12px;
  gap: 12px;
}

.drawer-menu__username {
  font-size: 11px;
  color: #393939;
}

.drawer-menu__close {
  flex-shrink: 0;
}

.drawer-menu__nav {
  flex-direction: column;
  gap: 16px;
}

.drawer-menu__nav-item {
  font-size: 14px;
  color: #393939;
  line-height: 1;
}

.el-menu.drawer-menu__dropdown {
  border: unset;
}

.drawer-menu .drawer-menu__dropdown > .el-menu-item > span,
.drawer-menu .drawer-menu__dropdown .el-sub-menu__title span {
  font-size: 16px;
  color: #023375;
  font-weight: bold;
}

.drawer-menu .drawer-menu__dropdown .el-menu-item,
.drawer-menu .drawer-menu__dropdown .el-sub-menu__title {
  display: flex;
  align-items: center;
  padding: 0 10px !important;
  height: 54px;
  gap: 4px;
}

.drawer-menu__dropdown .el-menu .el-menu-item {
  padding: 0 10px 0 40px !important;
  height: 44px;
  color: #393939;
  font-weight: 500;
}

.el-popup-parent--hidden {
  width: 100% !important;
}

.search-dialog__header {
  padding: 7px;
}

.search-dialog__result-item {
  flex-direction: column;
  align-items: flex-start;
  padding: 10px 20px;
  line-height: 23px;
  gap: 4px;
}

.search-dialog__result-item:last-child {
  margin-bottom: 0;
}

.search-dialog__results {
  color: #393939;
  border-top: 1px solid rgba(0, 0, 0, 0.2);
}

.search-dialog__result-item--bordered {
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.search-dialog__results .badge-search {
  width: 70px;
  height: 23px;
  font-size: 12px;
  white-space: nowrap;
  border-radius: 3px;
}

.search-dialog__results .search-suggest__label {
  font-size: 14px;
  line-height: 17px;
}

.search-dialog__results .search-dialog__section-divider {
  border-bottom: 2px solid rgba(0, 0, 0, 0.3);
}

.badge-number {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: -4px;
  right: -4px;
  min-width: 15px;
  height: 15px;
  padding: 0 4px;
  border-radius: 11px;
  background-color: #EF3434;
  color: #fff;
  font-size: 8px;
  font-weight: 600;
  line-height: 14px;
  text-align: center;
}

/* ---------- SUGGEST DROPDOWN ---------- */
.badge-search.product {
  background: rgba(234, 74, 125, 0.15);
  color: rgba(234, 74, 125, 1);
  border: 1px solid rgba(234, 74, 125, 1);
}

.badge-search.category {
  background: rgba(219, 147, 54, 0.15);
  color: rgba(219, 147, 54, 1);
  border: 1px solid rgba(219, 147, 54, 1);
}

.badge-search.maker {
  background: rgba(79, 129, 189, 0.15);
  color: rgba(79, 129, 189, 1);
  border: 1px solid rgba(79, 129, 189, 1);
}

/* ---------- CSS Footer ---------- */
.footer {
  padding: 24px 36px;
  color: #ffffff;
  font-size: 14px;
  line-height: 17px;
  background-color: #393939;
}

.footer__cta {
  top: -36px;
  right: 0;
  width: 119px;
  height: 36px;
  background-color: #023375;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

@media screen and (max-width: 1000px) {
  .header__inner { flex-direction: column; }

  .header__brand-wrap { width: 100%; }

  .header .category-trigger {
    height: 79px;
  }

  .header__action-bar {
    flex-direction: column;
    align-items: flex-start;
    margin: 5px 16px 5px 0;
    gap: 5px;
  }
}

@media only screen and (max-width: 768px) {
  .header__top {
    padding: 8px 12px;
  }

  .header__meta {
    line-height: 15px;
    margin-bottom: 8px;
  }

  .header__inner {
    flex-direction: row;
    width: 100%;
    gap: 14px;
  }

  .header__brand-wrap { width: auto; }

 .wave .header .el-drawer__header {
    padding: 0;
    margin: 0;
  }

  .header .el-drawer__body {
    padding: 0;
  }

  .header__actions {
    max-width: 100%;
    gap: 8px;
  }

  .header__nav-item {
    width: 40px;
    height: 40px;
    border-radius: 8px;
  }

  .header__catch-copy {
    font-size: 10px;
    line-height: 12px;
  }

  .header .el-overlay {
    top: 76px;
    background-color: rgba(0, 0, 0, 0.12);
  }
  
  .footer {
    padding: 16px 20px;
    text-align: center;
  }

  .footer__content {
    font-size: 12px;
    line-height: 15px;
  }
}
